<script setup>
import { reactive } from "vue";
import AddressForm from "./AddressForm.vue";
import { logEvent } from "histoire/client";

const state = reactive({
  from: {
    label: "Origine",
    road: "11 rue du Marchix",
    zipCode: "44000",
    city: "Nantes",
    complement: "Makina Corpus",
    country: "Pays de la Loire", // ici, nous ne déclarons pas la variable "state"
  },
});
</script>

<template>
  <Story title="composants/Formulaire d'adresse">
    <Variant title="without prop">
      <AddressForm />
    </Variant>
    <Variant title="with address">
      <AddressForm
        v-model:address="state.from"
        @close="logEvent('close', $event)"
        @update:address="logEvent('update:address', $event)"
      />
    </Variant>
  </Story>
</template>

<docs lang="md">
# AddressForm component

This component helps to display an address.

Two buttons are also available to explicit the user want to update the current address or want to search.
</docs>
